Foreman - Refactor #13978

Replace AR connection value_to_boolean method with Foreman::Cast

03/01/2016 09:04 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Rails
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3276
Description

The host common #lookup_values_attributes= method uses an internal Active Record method value_to_boolean to parse the

_destroy parameter from the nested attributes supplied by the Ul.

https://github.com/theforeman/foreman/blob/1.11.0-RC1/app/models/concerns/host_common.rb#L.54-L.58

This method has been moved in Rails 4.2 and since it's really rather internal, it should be replaced by Foreman::Cast.to_bool or

similar.

Related issues:
Blocks Foreman - Feature #13244: Upgrade Ruby on Rails to 4.2

Closed 01/15/2016

Associated revisions

Revision 904367f1 - 03/06/2016 08:31 AM - Dominic Cleal
fixes #13978 - replace AR value_to_boolean with our caster
In Rails 4.2, value_to_boolean was moved further into ActiveRecord's

column type classes. Replace the use of this internal method with
Foreman's own well-tested caster.

History

#1 - 03/01/2016 09:04 AM - Dominic Cleal
- Blocks Feature #13244: Upgrade Ruby on Rails to 4.2 added

#2 - 03/04/2016 08:25 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/3276 added

#3 - 03/06/2016 09:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 904367f1e2da6738d11dc5231c0a91fdcf088c6f.

#4 - 03/07/2016 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 136

05/21/2024
